package org.seasar.jsf.processor;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.JsfConfig;
import org.xml.sax.Attributes;

/**
 * @author higa
 *
 */
public class CommandButtonProcessor extends CommandProcessor {
	
	public CommandButtonProcessor(String inject) {
		super(inject);
	}

	public void setup(String namespaceURI, String localName,
			String qName, Attributes attributes, JsfConfig pagesConfig) {
		
		super.setup(namespaceURI, localName, qName, attributes, pagesConfig);
		setProperty(JsfConstants.TYPE_ATTR, JsfConstants.SUBMIT_VALUE);
	}
}